const APP_DISPLAY_NAME = "rikaixul";
const APP_NAME = "rikaixul, the kanji information tool.";
const APP_AUTHOR = "Todd Rudick";
const APP_VERSION = "0.1";

const APP_CONTENT_FOLDER = "content/";
const APP_LOCALE_FOLDER  = "locale/en-US/";

const APP_SUCCESS_MESSAGE = "After that go to: Tools->Options->Extensions->rikaixul to access the application.";


initInstall(APP_DISPLAY_NAME, APP_AUTHOR, APP_VERSION);
chromef = getFolder("Chrome", APP_DISPLAY_NAME);
setPackageFolder(chromef);

var err = addDirectory(APP_DISPLAY_NAME);
if (err == SUCCESS) {

   registerChrome(Install.CONTENT, getFolder(chromef, APP_CONTENT_FOLDER));
   registerChrome(Install.LOCALE, getFolder(chromef, APP_LOCALE_FOLDER));

   performInstall();
   err = getLastError();
   if (err == SUCCESS) {
      alert(APP_NAME + " " + APP_VERSION + " has been successfully installed.\n\n" +
	    "Please restart your browser now.\n\n" +
	                APP_SUCCESS_MESSAGE);
   }
   else {
      alert("Install failed! Error code:" + err);
      cancelInstall(err);
   }
}
else {
   alert("Failed to create the" +APP_DISPLAY_NAME +"\n" +
         "directory. You probably don't have appropriate permissions \n" +
         "(write access to the chrome directory). \n" +
         "_____________________________\nError code:" + err);
   cancelInstall(err);
}

